import { defineStore } from 'pinia';
import { MessagePlugin } from 'tdesign-vue-next';
import { store } from '@/store';
import { loginApi } from '@/api/login'
const InitUserInfo = {
    roleType: "",
    loginName: '',
    userName: ""
};

export const useUserStore = defineStore('user', {
    state: () => ({
        // userlist: [
        //     { roleType: 'admin', loginName: "admin", userName: '超级管理员', password: '123456' },
        //     { roleType: 'user', loginName: "zhangsan", userName: '张三', password: '123456' }
        // ],
        userInfo: { ...InitUserInfo },
    }),
    getters: {},
    actions: {
        /** 登录 */
        async login(Info: Record<string, unknown>) {
            const { loginName, password } = Info;
            const res = await loginApi({ username: loginName, passwd: password })
            this.userInfo = res.data[0];
            return res

        },
        /** 退出登录 */
        logout() {
            localStorage.clear();
            this.userInfo = { ...InitUserInfo };
        }
    },
    persist: {
        afterRestore: () => {

        },
    },
});

export function getUserStore() {
    return useUserStore(store);
}
